from contains import *

class ItersYield(Iters):
    def __iter__(self):                    # Zalecane dla iteracji
        trace('@iter @next')               # Pozwala na wiele aktywnych iteratorówAllows multiple active iterators
        for x in self.data:                # Niejawna alternatywa w postaci generatora
            yield x
            trace('@next')

if __name__ == '__main__': self_test(ItersYield)      # Testowanie klasy Iters

